Swift upgrade issue - 1.9.0 to 1.10.0

Asked by Netmagic Solutions on 2013-11-14

Hi,

We are trying to upgrade swift 1.9.0 to 1.10.0.

The ubuntu OS is 13.10. After the upgrade, all the features are working fine. Except, swift-ring-builder command which give below error :

root@swift-proxy-2:~# swift-ring-builder /etc/swift/account.builder
Traceback (most recent call last):
  File "/usr/local/bin/swift-ring-builder", line 31, in <module>
    from swift.common.ring.utils import parse_search_value, parse_args, \
ImportError: cannot import name parse_args

We have upgraded it using the tar.gz available at https://launchpad.net/swift/havana/1.10.0/+download/swift-1.10.0.tar.gz.
The upgrade steps included :

1) stop all the relevant swift services, python setup.py install command and then start services.

Above was done first on storage nodes followed by proxy server.

Any help would be appreciated.

Regards,

Viral

Question information

Language:
English Edit question
Status:
Solved
For:
OpenStack Object Storage (swift) Edit question
Assignee:
No assignee Edit question
Solved by:
Samuel Merritt
Solved:
2014-08-19
Last query:
2014-08-19
Last reply:
2013-11-14
Best Samuel Merritt (torgomatic) said : #1

You've still got old code from Swift 1.9 on your system, which is why the import of that function fails; that function is new in 1.10.

If you installed 1.9 with your package manager, make sure to remove it the same way.

Thanks Samuel Merritt, that solved my question.